# Firebase Install Counts in Audience Reporting

Firebase Analytics itself does not directly report on installs but does capture the first time a user opens the app. This is a property called `user_first_touch_timestamp` and is set the first time a user initializes the Firebase Analytics SDK. At this point, a `first_open` event is fired and automatically collected.

However, the `first_open` event is a misnomer in Firebase. The event `first_open` is actually tracked each time a user installs, reinstalls, or updates the app, meaning a single unique user can have multiple `first_open` events. AdLibertas builds audiences with this in mind and uses the `user_first_touch_timestamp` property to build retention curves and calculate new user counts. The `user_first_touch_timestamp` is only set on the *first* `first_open` event and does not change as long as the user has the app installed. A few things to note when looking at an Audience:

* A user may download the app but never have an active session. This would show as an install event in the app store’s reporting or your MMP, but as it won’t have a corresponding,`first_open` won’t show in Audience Reporting.
* A user may download the app, and open it on a different calendar day. The timestamp of the install event and the `first_open` event will fall on different days.
* A user may have multiple `first_open` events if they uninstall, reinstall, or update the app.
* A user may download and fire a `first_open` event, but “bounce” meaning they did not fire an engagement event or stay long enough in the app to be counted as an active session. These users are not counted towards daily active user counts.
* A user may have multiple first\_touch\_timestamps, if they have re-installed. This can create confusing results where users have activity, prior to their first\_touch\_timestamp. To combat this, we recommend you exclude first\_touch\_timestamps that are outside of your install windows:

![](/files/98gqdxK4MUB8wIxMaKJu)

In Audience Reporting, we include an “Installs During Period %” metric to help you understand the percentage of users whose first touch timestamp occurs within the query’s date range.

* A low percentage of “Installs During Period %” means the majority of users are reinstalling the app during the query’s date range.
* A high percentage of “Installs During Period %” means the majority of users are installing the app for the first time.

Please refer to [Firebase’s documentation](https://support.google.com/firebase/answer/9234069?hl=en#:~:text=message_name%2C%20message_device_time%2C%20message_id-,first_open,\(app\),-the%20first%20time) on *first\_open* and other automatically collected events.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adlibertas.com/data-integrations/analytics-connections/firebase-install-counts-in-audience-reporting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
